Skip to main content
GET
/
subscriptions
/
customer
/
{customerId}
Get subscriptions for a customer
curl --request GET \
  --url https://api.orafi.app/v1/subscriptions/customer/{customerId} \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "message": "Subscriptions retrieved",
  "data": [
    {
      "id": "sub_abc123",
      "customerId": "<string>",
      "planId": "<string>",
      "network": "SUI",
      "startsAt": "2023-11-07T05:31:56Z",
      "endsAt": "2023-11-07T05:31:56Z",
      "canceledAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "customer": {
        "id": "customer_abc123",
        "firstname": "John",
        "lastname": "Doe",
        "email": "john.doe@example.com",
        "totalSpent": 500.5,
        "createdAt": "2023-11-07T05:31:56Z"
      },
      "plan": {
        "id": "plan_abc123",
        "name": "Basic Monthly",
        "amount": 9.99,
        "currency": "USDC",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    }
  ]
}
Return subscriptions belonging to a customer.

Authorizations

x-api-key
string
header
required

API key for merchant authentication required for most endpoints

Path Parameters

customerId
string
required

Response

Subscriptions retrieved

success
boolean
Example:

true

message
string
Example:

"Subscriptions retrieved"

data
object[]